
Redmine - Feature #3105

Roadmap and subrojects dependencies.

2009-04-02 09:28 - Adam Kubica

Status: Closed Start date: 2009-04-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Roadmap doesn't include progress of the subprojects.

Try imagine situation as in example:

Main project version 3.0 depends of:

subproject 1, version 1.0

subproject 2, version 1.3

subproject 3, version 0.8

Good solution might be when subproject version can be optionally assigned to version of the main project, in this case roadmap

diagram can compute and additionally display progress bar including subprojects.

Related issues:

Has duplicate Redmine - Defect #3292: Project Management Suggestion? Closed 2009-05-04

Is duplicate of Redmine - Feature #465: Inheritence of Versions to Subprojects Closed

History

#1 - 2009-04-06 13:29 - Fabian Buch

Might be related to #465. Would be very useful for project release management.

#2 - 2009-04-29 14:07 - Oskar Nordquist

+1

#3 - 2009-04-29 15:03 - Luiz Carlos Junior

+1

#4 - 2009-04-29 15:16 - yusuke kokubo

+1

#5 - 2009-04-30 10:22 - Tim Sjöstrand

+1

#6 - 2009-05-20 05:00 - sebastián scarano

+1, count me on this one

it would also be pretty nice, and much simpler, being abel to include subproject's tickets in a parent project version...

#7 - 2009-12-06 11:26 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Good solution might be when subproject version can be optionally assigned to version of the main project
https://www.redmine.org/issues/465


 Version inheritance added in r3123.
